%define git_short_version_hash c9337c2
%define git_full_version_hash c9337c2ade7c76edc98d27c216ab97fc1e40d01c

Summary:    A command line interface to Phabricator
Name:       arcanist
Version:    0.0
Release:    2.20160806.git%{git_short_version_hash}%{?dist}

License:    ASL 2.0
URL:        https://secure.phabricator.com/book/phabricator/article/arcanist/
Source0:    https://github.com/phacility/arcanist/archive/%{git_full_version_hash}.tar.gz#/arcanist-%{git_full_version_hash}.tar.gz
BuildArch:  noarch

Requires:   bash-completion
Requires:   php(language) >= 5
Requires:   arcanist(libphutil)

%description
A command line interface to Phabricator

%prep
%setup -q -n arcanist-%{git_full_version_hash}

# Not used by anyone other than upstream developers?
rm -rf scripts/breakout.py

%build

%install
# copy arcanist to the buildroot
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a bin/ scripts/ src/ %{buildroot}%{_datadir}/%{name}/

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
cp -a resources/shell/bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/arc

# symlink the bin
mkdir -p %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
ln -s %{_datadir}/%{name}/bin/arc
popd

find %{buildroot}%{_datadir}/%{name}/ -type d -name test -exec rm -rvf {} \; 2>/dev/null || :
find %{buildroot}%{_datadir}/%{name}/ -type d -name __tests__ -exec rm -rvf {} \; 2>/dev/null || :

# Fix shebangs
find %{buildroot}%{_datadir}/%{name}/ -type f -exec sed -i -r -e 's"^#!(.*)/usr/bin/env php"#!%{_bindir}/php"' {} \;
find %{buildroot}%{_datadir}/%{name}/ -type f -exec sed -i -r -e 's"^#!(.*)/usr/bin/env bash"#!%{_bindir}/bash"' {} \;

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%doc README.md
%doc NOTICE
%config %{_sysconfdir}/bash_completion.d/arc
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/bin
%{_datadir}/%{name}/scripts
%{_datadir}/%{name}/src
%{_bindir}/arc

%changelog
* Fri Sep 23 2016 Tim Flink <tflink@fedoraproject.org> - 0.0-2.20160806.gitc9337c2
- Change version and release so that they adhere to packaging guidelines

* Wed Aug 10 2016 Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com> - 20160806.gitc9337c2-1
- Correct NEVRA
- Take an initial stab at addressing rpmlint errors

* Tue Aug  9 2016 Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com> - 20160727.gitc9337c2-1
- Change the versioning scheme back to the original

* Wed Aug  3 2016 Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com> - 0-0.20160727.gitf1c45a3
- Change over the versioning scheme to use the release, not the version

* Wed Feb 11 2015 Tim Flink <tflink@fedoraproject.org> - 20151211.git3f132f4-1
- updating to latest git

* Thu Dec 04 2014 Tim Flink <tflink@fedoraproject.org> - 20141204.gitb46d4ed-1
- updating to latest git

* Tue Sep 02 2014 Tim Flink <tflink@fedoraproject.org> - 20140902.gitc8f1513-1
- updating to latest git

* Mon Jul 21 2014 Tim Flink <tflink@fedoraproject.org> - 20140721.gitef18ae0-1
- updating to latest git

* Sun May 18 2014 Tim Flink <tflink@fedoraproject.org> - 20140518.git0468be3-1
- updating to latest git

* Thu Jan 23 2014 Tim Flink <tflink@fedoraproject.org> - 20140123.git2c2c566-1
- updating to latest git

* Tue Dec 10 2013 Tim Flink <tflink@fedoraproject.org> - 20131210.gite0b4eef-1
- updating to latest git

* Wed Oct 30 2013 Tim Flink <tflink@fedoraproject.org> - 20131030.gitaabbdbd-1
- Initial package
